# Class SpliceSiteBranchU12

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.SpliceSite
org.snpeff.interval.SpliceSiteBranch
org.snpeff.interval.SpliceSiteBranchU12

All Implemented Interfaces:
  `Serializable, Cloneable, Comparable<Interval>, TxtSerializable`

public class SpliceSiteBranchU12 extends SpliceSiteBranch
A (putative) U12 branch site.

Author:
  pablocingolani
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class SpliceSite

`CORE_SPLICE_SITE_SIZE, SPLICE_REGION_EXON_SIZE, SPLICE_REGION_INTRON_MAX, SPLICE_REGION_INTRON_MIN`

### Fields inherited from class Marker

`type`

### Fields inherited from class Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`SpliceSiteBranchU12()`
`SpliceSiteBranchU12(Intron parent, int start, int end, boolean strandMinus, String id)`

## Method Summary

### Methods inherited from class SpliceSiteBranch

`intersectsCoreSpliceSite`

### Methods inherited from class SpliceSite

`isShowWarningIfParentDoesNotInclude, variantEffect`

### Methods inherited from class Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, cloneShallow, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, toString, union, variantEffectNonRef`

### Methods inherited from class Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SpliceSiteBranchU12

public SpliceSiteBranchU12()

### SpliceSiteBranchU12

public SpliceSiteBranchU12(Intron parent, int start, int end, boolean strandMinus, String id)